# Dynamic.pidl File Reference

`import "Dynamic_Parameter.pidl";`
`import "StringSeq.pidl";`

Include dependency graph for Dynamic.pidl:

## Namespaces

namespace | CORBA
namespace | Dynamic

## Typedefs

typedef sequence< Parameter > | ParameterList
typedef CORBA::StringSeq | ContextList
typedef sequence< CORBA::TypeCode > | ExceptionList
typedef CORBA::StringSeq | RequestContext

## Variables

typeprefix Dynamic omg | org

## Detailed Description

Id
  Dynamic.pidl,v 1.3 2005/12/17 03:16:58 ossama Exp

This file was used to generate the code in DynamicC.* The command used to generate code is:

tao_idl -o orig -Ge 1 -GA -Sc -SS -Sci -Wb,export_macro=TAO_Export -Wb,export_include="tao/TAO_Export.h" -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL Dynamic.pidl

## Typedef Documentation

typedef CORBA::StringSeq Dynamic::ContextList

typedef sequence<CORBA::TypeCode> Dynamic::ExceptionList

typedef sequence<Parameter> Dynamic::ParameterList

typedef CORBA::StringSeq Dynamic::RequestContext

## Variable Documentation

typeprefix Dynamic omg Dynamic::org